# Euler-Problems
  The application is based on some challenges found on "EulerProject": https://projecteuler.net/. It's a console application that contains solutions 
  to a series of problems implemented in C#, using the factory pattern.

## Problems Solved 
 1. Multiples of 3 or 5  
 2. Even Fibonacci numbers  
 3. Largest prime factor  
 4. Largest palindrome product  
 5. Smallest multiple  
 6. Sum square difference  
 7. 1001st prime  
 8. Largest product in a series  
 9. Special Pythagorean triplet  
 10. Summation of primes  
 11. Power digit sum  
 12. Large sum  
 13. Highly divisible triangular number  
 14. Number letter counts  
 15. Factorial digit sum  
 16. 1000-digit Fibonacci number  
 
 # Geting Started 
  These instruction will help you to run the program on your local machine:
  
 ## Prerequisites
 Visual Studio or Visual Studio Code
 
 ## Running the solutions
 1 Create a New Folder where you want to clone the project  
 2 On that folder right click and press on "Git Bash Here"  
 3 After Git Bash opened write this command: git clone https://gitlab.com/ciceu.gabi/euler-problems.git  
 4 Open the solution file in Visual Studio or Visual Studio Code  
 5 Run the solution by selecting the corresponding project in the solution explorer and hitting F5  
 6 Follow the on-screen instructions in the console to see the results of the problems  
 
 # Contact
 For questions or feedback, please reach out to Gabriel Ciceu.
